On this page
No Headings
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/subscriptionsThe ID of the subscription.
List of fields that are to be returned in the response. Possible value for fields are last_failed_payment and plan.
1 <= length <= 100The media type. Required for operations with a request body. The value is application/<format>, where the format is json.
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api-m.paypal.com/v1/billing/v1/billing/subscriptions/string" \ -H "Content-Type: string"{
"status": "APPROVAL_PENDING",
"status_change_note": "string",
"status_update_time": "stringstringstringst",
"id": "string",
"plan_id": "string",
"start_time": "stringstringstringst",
"quantity": "string",
"shipping_amount": {
"currency_code": "str",
"value": "string"
},
"subscriber": {
"email_address": "string",
"payer_id": "stringstrings",
"name": {
"given_name": "string",
"surname": "string"
},
"shipping_address": {
"name": {
"full_name": "string"
},
"email_address": "string",
"phone_number": {
"country_code": "str",
"national_number": "string"
},
"type": "SHIPPING",
"options": [],
"address": {
"address_line_1": "string",
"address_line_2": "string",
"admin_area_2": "string",
"admin_area_1": "string",
"postal_code": "string",
"country_code": "st"
}
},
"payment_source": {
"card": {
"last_digits": "string",
"brand": "VISA",
"available_networks": [
"VISA"
],
"type": "CREDIT",
"authentication_result": {
"liability_shift": "NO",
"three_d_secure": {
"authentication_status": "Y",
"enrollment_status": "Y"
}
},
"attributes": {
"vault": {
"id": "string",
"status": "VAULTED",
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
],
"customer": {
"id": "string",
"email_address": "string",
"phone": {
"phone_type": "FAX",
"phone_number": {
"national_number": "string"
}
},
"merchant_customer_id": "string"
}
}
},
"from_request": {
"expiry": "strings",
"last_digits": "stri"
},
"bin_details": {
"bin": "string",
"issuing_bank": "string",
"bin_country_code": "st",
"products": [
"string"
]
},
"stored_credential": {
"payment_initiator": "CUSTOMER",
"payment_type": "ONE_TIME",
"usage": "FIRST",
"previous_network_transaction_reference": {
"id": "stringstr",
"date": "stri",
"network": "VISA",
"acquirer_reference_number": "string"
}
},
"name": "string",
"billing_address": {
"address_line_1": "string",
"address_line_2": "string",
"admin_area_2": "string",
"admin_area_1": "string",
"postal_code": "string",
"country_code": "st"
},
"expiry": "strings",
"currency_code": "str"
}
}
},
"billing_info": {
"outstanding_balance": {
"currency_code": "str",
"value": "string"
},
"cycle_executions": [],
"last_payment": {
"amount": {
"currency_code": "str",
"value": "string"
},
"time": "stringstringstringst"
},
"next_billing_time": "stringstringstringst",
"final_payment_time": "stringstringstringst",
"failed_payments_count": 0,
"last_failed_payment": {
"amount": {
"currency_code": "str",
"value": "string"
},
"time": "stringstringstringst",
"reason_code": "PAYMENT_DENIED",
"next_payment_retry_time": "stringstringstringst"
}
},
"create_time": "stringstringstringst",
"update_time": "stringstringstringst",
"payer_holding_preference": null,
"custom_id": "string",
"plan_overridden": true,
"plan": {
"product_id": "stringstringstringstri",
"name": "string",
"description": "string",
"billing_cycles": [
{
"pricing_scheme": {
"version": 0,
"fixed_price": {
"currency_code": "str",
"value": "string"
},
"pricing_model": "VOLUME",
"tiers": [
{
"starting_quantity": "string",
"ending_quantity": "string",
"amount": {
"currency_code": "str",
"value": "string"
}
}
],
"create_time": "stringstringstringst",
"update_time": "stringstringstringst"
},
"frequency": {
"interval_unit": "DAY",
"interval_count": 1
},
"tenure_type": "REGULAR",
"sequence": 1,
"total_cycles": 1
}
],
"payment_preferences": {
"auto_bill_outstanding": true,
"setup_fee": {
"currency_code": "str",
"value": "string"
},
"setup_fee_failure_action": "CONTINUE",
"payment_failure_threshold": 0
},
"merchant_preferences": {
"return_url": "http://example.com",
"cancel_url": "http://example.com"
},
"taxes": {
"percentage": "string",
"inclusive": true
},
"quantity_supported": false
},
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}{
"name": "AUTHENTICATION_FAILURE",
"message": "Authentication failed due to missing authorization header, or invalid authentication credentials.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "INVALID_ACCOUNT_STATUS",
"description": "Account validations failed for the user."
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "RESOURCE_NOT_FOUND",
"message": "The specified resource does not exist.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "INVALID_RESOURCE_ID",
"description": "Specified resource ID does not exist. Please check the resource ID and try again."
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"debug_id": "90957fca61718",
"links": [
{
"href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
"rel": "information_link"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}